<div class="user-profile">
    <app-content-banner [isDashboard]="false" pageName="User Administration"></app-content-banner>
    <mat-card class="user-profile-main-card mat-elevation-z0">
     
      <mat-card-content>
        <mat-tab-group dynamicHeight>
    <!-- <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">           -->
          <mat-tab>
            <ng-template matTabLabel>
              <span>User</span>
            </ng-template>
            <ng-template matTabContent>
               
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4" >
                  <div style="margin:15px">
                  <form [formGroup]="userForm" (change)="onFormChange()">
                      
                           <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" style="height: 40px"> 
                            <input matInput formControlName="userContactID" hidden>
                              <div fxFlex="20" fxLayoutAlign="start center">
                                  <mat-label  class="required-label-color " >Is the user HRA staff: &nbsp;</mat-label>
                              </div>
                              <div fxFlex="30" fxLayoutAlign="center bottom">
                                <mat-radio-group formControlName="isUserExternal" > <!-- (change)="isUserExternal($event)" -->
                                    <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID" >
                                        {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                                      </mat-radio-button>                     
                                </mat-radio-group> 
                              </div>
                            </div>
                            <div *ngIf="is_SUPER_USER" class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" >
                              <div fxFlex="12" fxLayoutAlign="start center">
                                <mat-label  class="required-label-color " >Agency Name: &nbsp;</mat-label>
                              </div>
                              <div fxFlex>
                                <!-- <mat-form-field appearance="outline">
                                  <mat-select (selectionChange)="onAgencySelectedUserTab()" formControlName="agencyID">
                                    <mat-option [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                                      {{agency.agencyNo + ' - ' + agency.agencyName}}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field> -->
                                <mat-form-field appearance="outline" class='regular-mat-form-field'  style='width:500px; height:20px!important'>
                                  <input matInput [matAutocomplete]="auto" formControlName="agencyID" placeholder="Select one">
                                  <mat-icon matSuffix>search</mat-icon>
                                  <mat-autocomplete #auto="matAutocomplete">
                                    <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                                      [value]='agency.agencyNo + " - "  + agency.agencyName' [value]="agency.agencyID" (onSelectionChange)="onAgencySelectedUserTab(agency.agencyID)">
                                      {{ agency.agencyNo }} - {{ agency.agencyName }}
                                    </mat-option>
                                  </mat-autocomplete>
                                </mat-form-field>
                              </div>
                            </div>

                            <div *ngIf="is_SYS_ADMIN" class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" >
                              <div fxFlex="12" fxLayoutAlign="start center">
                                <mat-label >Agency Name: &nbsp; </mat-label>
                              </div>
                              {{userData.agencyNo + ' - ' + userData.agencyName}}
                            </div> 
                            <br />
                              <div *ngIf="userForm.controls.isUserExternal.value == 33" class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                                <div fxFlex="12" fxLayoutAlign="start center">
                                  <mat-label  class="required-label-color " > HRA LanID: &nbsp; </mat-label>
                                </div>
                                <div fxFlex="20" >
                                    <mat-form-field appearance="outline">
                                      <input matInput formControlName="lanID">
                                    </mat-form-field>
                                </div>
                              </div>
                              <div *ngIf="userForm.controls.isUserExternal.value == 34"class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                                <div fxFlex="12" fxLayoutAlign="start center" >
                                  <mat-label >Juniper ID: &nbsp; </mat-label>
                                </div>
                                <div fxFlex="20" >
                                  <mat-form-field appearance="outline">
                                    <input matInput formControlName="juniperID">
                                  </mat-form-field>
                                </div>
                              </div>
                            
                                               
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                              <div fxFlex="12" fxLayoutAlign="start center">
                                <mat-label  class="required-label-color " >First Name: &nbsp; </mat-label>
                              </div>
                              <div fxFlex="20">
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="firstName" >
                                </mat-form-field>
                              </div>
                              <div fxFlex="12" fxLayoutAlign="start center">
                                <mat-label class="required-label-color " >Last Name: &nbsp; </mat-label>
                              </div>
                              <div fxFlex="20">
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="lastName" >
                                </mat-form-field>
                              </div>
                            </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label  class="required-label-color " >Acess Level: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <mat-select formControlName="roleID">
                                  <mat-option [value]="0">Select One</mat-option>
                                  
                                      <mat-option *ngFor="let key of keys" [value]="key" >{{roles[key]}}</mat-option>
                                </mat-select>
                              </mat-form-field>
                            </div>
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label >DHS Cares: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="nonHRALanID" >
                              </mat-form-field>
                            </div>
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label  class="required-label-color " >Email: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="email" >
                              </mat-form-field>
                            </div>
                            
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label  class="required-label-color " >Office Phone: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="officePhone"  mask="000-000-0000" [showMaskTyped]="true">
                              </mat-form-field>
                            </div>
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label >Extension: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="officeExt" digitOnly maxlength="5">
                              </mat-form-field>
                            </div>
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label >Cell Phone: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="cellPhone"  mask="000-000-0000" [showMaskTyped]="true">
                              </mat-form-field>
                            </div>
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label >Fax Phone: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20">
                              <mat-form-field appearance="outline" >
                                <input matInput formControlName="faxPhone"  mask="000-000-0000" [showMaskTyped]="true">
                              </mat-form-field>
                            </div>
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                            <div fxFlex="12" fxLayoutAlign="start center">
                              <mat-label >Comment: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="60">
                              <mat-form-field appearance="outline" style="width:100%">
                                <textarea rows="4" matInput formControlName="comments"></textarea>
                              </mat-form-field>
                            </div>
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" *ngIf="showTransmit">
                            <div fxFlex="30" fxLayoutAlign="start center">
                              <mat-label  class="required-label-color "> Permission to Transmit Application Data to HRA:</mat-label>
                            </div>
                            <mat-radio-group  formControlName="canTransmit"> 
                              <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID" >
                                {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                              </mat-radio-button>  
                            </mat-radio-group>  
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" *ngIf="showLiason">
                            <div fxFlex="30" fxLayoutAlign="start center">
                              <mat-label  class="required-label-color "> Housing Liason:</mat-label>
                            </div>
                            <mat-radio-group  formControlName="vcs"> 
                              <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID" >
                                {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                              </mat-radio-button>  
                            </mat-radio-group>  
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" style="height: 55px">
                            <div fxFlex="20" fxLayoutAlign="start center">
                              <mat-label >User Status: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="30" fxLayoutAlign="center bottom">
                                <!-- <input type="hidden" formControlName="isAssignedSupervisor"/> -->
                            <mat-radio-group  formControlName="isActive"  (change)="isActiveChange($event)">  
                                  <mat-radio-button [value]="true" > Active &nbsp;&nbsp;&nbsp;&nbsp; </mat-radio-button>     
                                  <mat-radio-button [value]="false" > Inactive &nbsp;&nbsp;&nbsp;&nbsp; </mat-radio-button>                         
                              </mat-radio-group> 
                            </div>
                            <div fxFlex="15" fxLayoutAlign="start center" *ngIf="!userActive">
                              <mat-label class="required-label-color ">Reason: &nbsp; </mat-label>
                            </div>
                            <div fxFlex="20" *ngIf="!userActive"  fxLayoutAlign="center bottom">
                                <mat-form-field appearance="outline">
                                    <mat-select formControlName="inactiveReason">
                                      <mat-option [value]="0">Select One</mat-option>
                                      <mat-option *ngFor="let item of userInactiveReasons" [value]="item.refGroupDetailID">
                                          {{item.refGroupDetailDescription}}
                                      </mat-option>
                                    </mat-select>
                                  </mat-form-field>
                            </div>
                          </div>
                          <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" *ngIf="!userActive">
                              <div fxFlex="12" fxLayoutAlign="start center">
                                  <mat-label class="required-label-color ">Comment: &nbsp; </mat-label>
                                </div>
                                <div fxFlex="60">
                                  <mat-form-field appearance="outline" style="width:100%">
                                    <textarea rows="4" matInput formControlName="inactiveReasonComments"></textarea>
                                  </mat-form-field>
                                </div>
                          </div>
                  
             </form>
                      <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" style="width:100%; min-height: 100px; max-height:300px;">
                        <div class="regular-mat-form-field" fxLayout="column"  fxLayoutGap="10px"  class="div-border" style="width:50%;overflow-y:auto;">
                          <div >
                            <mat-label >Assign Sites &nbsp; </mat-label>
                          </div>
                            <mat-checkbox  #available *ngFor="let item of availableSites"  (click)="onClickAvailSiteList($event, item.siteID)">
                              {{item.siteNo + ' - ' + item.siteName + ' (' + item.siteCategoryName + ')'}}&nbsp;&nbsp;&nbsp;&nbsp; <br />
                            </mat-checkbox>
                          
                        </div>
                        <div class="regular-mat-form-field" fxLayout="column"  fxLayoutGap="10px"  class="div-border" style="width:50%;overflow-y:auto;">
                          <div>
                            <mat-label >Sites Assigned &nbsp; </mat-label>
                          </div>
                          <div *ngFor="let item of assignedSites" class="regular-mat-form-field" fxLayout="row" >
                            <div fxFlex fxLayoutAlign="start center">
                              <mat-checkbox checked="true"  (click)="onClickAssignedSiteList($event, item.siteID)" >
                                <span class="wrap-mat-checkbox-label">
                                  {{item.siteNo + ' - ' + item.siteName }} <br />
                                </span>  
                              </mat-checkbox>
                            </div>
                            <div fxFlex="45" *ngIf="userForm.controls.roleID.value == 1">
                              <mat-form-field appearance="outline" style="height: 15px">
                                          <mat-select (selectionChange)="onSupervisorSelectedUserTab($event, item.siteID)" [(ngModel)]="item.assignedSupervisorID" >
                                              
                                            <mat-option [value]="0">Select Supervisor</mat-option>
                                            <mat-option *ngFor="let i of item.availableSupervisorList" [value]="i.supervisorID">
                                                {{i.supervisorName}}
                                            </mat-option>
                                          </mat-select>
                                        </mat-form-field>
                                  </div>
                          </div> 
                          
                        </div>
                      </div>
                      <form [formGroup]="userForm" (change)="onFormChange()">
                      <div fxLayout="column"  class="div-border" *ngIf="!editMode">
                      <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" >
                          <div fxFlex="15" fxLayoutAlign="start center">
                            <mat-label >Site Name: &nbsp;</mat-label>
                          </div>
                          <div fxFlex="85">
                            <mat-form-field appearance="outline">
                              <mat-select (selectionChange)="onSiteSelectedUserTab($event)" formControlName="siteContactList">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let site of availableSitesFull" [value]="site.siteID">
                                  {{site.siteNo + ' - ' + site.siteName}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                      </div>
                      <div class="regular-mat-form-field " fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" *ngIf="showContact">
                        <div fxFlex>
                        <mat-accordion>
                              <mat-expansion-panel [expanded]="false">
                                <mat-expansion-panel-header>
                                  <mat-panel-title>
                                    <span class="client-label">
                                       {{ selectedSiteNameUserTab }} 
                                    </span>
                                  </mat-panel-title>
                                </mat-expansion-panel-header>
                                <div fxLayout="row" fxLayout.lt-md="column">
                                    <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                              <ag-grid-angular
                                #agGrid id="myGrid"
                                style="width: 100%"
                                class="ag-theme-balham my-grid"
                                [columnDefs]="contactColumnDefs"
                                [defaultColDef]="contactDefaultColDef"
                                [rowData]="contactRowData"
                                [gridOptions]="gridOptions"
                                [pagination]="true"
                                [context]="context"
                                [paginationPageSize]="10"
                                [overlayLoadingTemplate]="contactOverlayLoadingTemplate"
                                [overlayNoRowsTemplate]="contactOverlayNoRowsTemplate"
                                [frameworkComponents]="frameworkComponents"
                                 (gridReady)="onGridReady($event)"> 
                              </ag-grid-angular>
                              </div>
                              </div>

                              </mat-expansion-panel>
                        </mat-accordion>
                      </div>
                      </div>
                    </div>

                      <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                          <div fxFlex="11" fxLayoutAlign="start center">
                            <mat-label >Created Date:&nbsp; </mat-label>
                          </div>
                          <div fxFlex="13">
                            <mat-form-field appearance="outline" style="width: 80%;">
                              <input matInput formControlName="createdDate">
                            </mat-form-field>
                          </div>
                          <div fxFlex="11" fxLayoutAlign="start center">
                            <mat-label >Created By: &nbsp; </mat-label>
                          </div>
                          <div fxFlex="13">
                            <mat-form-field appearance="outline" style="width: 90%;">
                              <input matInput formControlName="createdBy">
                            </mat-form-field>
                          </div>
                          <div fxFlex="11" fxLayoutAlign="start center">
                            <mat-label >Updated Date: &nbsp; </mat-label>
                          </div>
                          <div fxFlex="13">
                            <mat-form-field appearance="outline" style="width: 80%;">
                              <input matInput formControlName="updatedDate">
                            </mat-form-field>
                          </div>
                          <div fxFlex="11" fxLayoutAlign="start center">
                            <mat-label >Updated By: &nbsp; </mat-label>
                          </div>
                          <div fxFlex="13">
                            <mat-form-field appearance="outline" style="width: 90%;">
                              <input matInput formControlName="updatedBy">
                            </mat-form-field>
                          </div>
                          <div fxFlex="11" fxLayoutAlign="start center">
                            <mat-label >Last Accessed: &nbsp; </mat-label>
                          </div>
                          <div fxFlex="13">
                            <mat-form-field appearance="outline" style="width: 80%;">
                              <input matInput formControlName="lastAccessDate"  >
                            </mat-form-field>
                          </div>
                      </div>
                    
                  </form>
                  </div>
                </div>
              </div>
                
               
           </ng-template>
            
           </mat-tab>
          <!-- <mat-tab *ngIf="showUpdateSuper"> 
            <ng-template matTabLabel>
              <span>User Supervisor Assignment</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                    <div style="margin:15px">
                  <mat-label>Update the Site Supervisor prior to inactivating:</mat-label>
                  <div class="regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" style="padding:15px 80px">
                    <div fxFlex="10" fxLayoutAlign="start center">
                      <mat-label >HRA LanID: &nbsp; </mat-label>
                    </div>
                      <div fxFlex="20">
                          <mat-label >{{selectedUserData?.lanID}} &nbsp; </mat-label>
                      </div>
                    <div fxFlex="10" fxLayoutAlign="start center">
                      <mat-label >First Name: &nbsp; </mat-label>
                    </div>
                    <div fxFlex="20">
                        <mat-label >{{selectedUserData?.firstName}}&nbsp; </mat-label>
                    </div>
                    <div fxFlex="10" fxLayoutAlign="start center">
                      <mat-label >Last Name: &nbsp; </mat-label>
                    </div>
                    <div fxFlex="20">
                        <mat-label >{{selectedUserData?.lastName}}&nbsp; </mat-label>
                    </div>
                  </div>

                  <div class="example-container mat-elevation-z4">
                      <div fxLayout="row" fxLayout.lt-md="column">
                          <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                    <ag-grid-angular
                      #agGrid id="myGrid"
                      style="width: 100%"
                      class="ag-theme-balham my-grid"
                      [columnDefs]="superTabColumnDefs"
                      [defaultColDef]="contactDefaultColDef"
                      [rowData]="userListBySuper"
                      [gridOptions]="gridOptions"
                      [pagination]="true"
                      [paginationPageSize]="10"
                      [frameworkComponents]="frameworkComponents"
                       (gridReady)="onGridReady($event)"> 
                    </ag-grid-angular>
                    </div>
                    </div>
            </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>  -->
        </mat-tab-group>
        <div class="btn-section" fxLayout="row">
            <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="start">
              <button type="button" mat-raised-button (click)="onCancel()" color="warn">Cancel</button>
            </span>
            <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">                        
              <button *ngIf="editMode" mat-raised-button color="primary" style="width: 50px;" (click)="SaveUser()">Save</button>
              <button *ngIf="!editMode" mat-raised-button color="primary" type="button" style="width: 80px;" (click)="SaveUser()">Create</button>
              <button type="button" mat-raised-button (click)="Return()" color="primary">Exit</button>
            </span>
          </div>
      </mat-card-content>
    </mat-card>
  </div>